Support » Plugin: WordPress Social Sharing Plugin - Social Warfare » Plugin Triggers Fatal Error Upon Trying To Activate

  • Plugin Version 3.0.7
    WP Version 4.9.6

    Parse error: syntax error, unexpected ‘[‘ in …../wp-content/plugins/social-warfare/functions/Social_Warfare.php on line 252

    • This topic was modified 2 years, 9 months ago by Keryn.
Viewing 3 replies - 1 through 3 (of 3 total)
  • I’m getting a fatal error in 3.0.7 too.

    PHP Fatal error: Uncaught Error: Call to a member function get() on null in /app/public/wp-includes/query.php:28

    Stemming from:

    /app/public/wp-content/plugins/social-warfare/functions/utilities/SWP_Database_Migration.php(106): get_posts(Array)

    Would it be better to just roll back the latest release in the repo to pre 3.0? Seems like there’s a lot of issues.

    Plugin Contributor Christine

    (@cdegraff1)

    Hi @b-summers and @jamesckemp,

    I have let our developer know about both of these errors but it would be helpful if you would also send a support ticket to info@warfareplugins.com.

    Plugin Contributor Christine

    (@cdegraff1)

    Hi @b-summers,
    What version of PHP are you on? We only support 5.6 and above and that error leads us to believe you are on an earlier version. Can you please ask your host to update?

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Plugin Triggers Fatal Error Upon Trying To Activate’ is closed to new replies.